import App from 'next/app'
import client from '../lib/apollo'
import { ApolloProvider } from '@apollo/client'
import Page from '../components/page'
import { StoreProvider } from '../lib/store'

class MyApp extends App {
  static async getInitialProps ({ Component, ctx }) {
    let pageProps = {}

    if (Component.getInitialProps) {
      pageProps = await Component.getInitialProps(ctx)
    }

    // Add the query object to the pageProps
    // https://github.com/wesbos/Advanced-React/blob/master/finished-application/frontend/pages/_app.js
    pageProps.query = ctx.query
    return { pageProps }
  }

  render () {
    const { Component, pageProps } = this.props
    console.log(client)
    console.log(ApolloProvider)

    return (
      <StoreProvider>
        <ApolloProvider client={client}>
          <Page>
            <Component {...pageProps} />
          </Page>
        </ApolloProvider>
      </StoreProvider>
    )
  }
}

export default MyApp
